/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.device.db.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import javax.validation.constraints.Size;

import net.northking.cctp.common.db.POJO;
import net.northking.cctp.common.db.Partition;

import java.util.Date;


/**
 * 设备-租户关联表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！  <br>
 * createdate:  2022-09-29 09:58:35  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@ApiModel(description = "设备-租户关联表")
public class CdDeviceTenant extends Partition implements POJO
{
  public static final String KEY_id = "id";
  public static final String KEY_tenantId = "tenantId";
  public static final String KEY_expiredTime = "expiredTime";
  public static final String KEY_recycleType = "recycleType";

  /**
   * 主键id(device_id)<br>
   */
  @ApiModelProperty("主键id(device_id)")
  @Size(max = 128, message="主键id(device_id)-id: 数据长度不能 > 32" )
  private String id;
  /**
   * 租户id<br>
   */
  @ApiModelProperty("租户id")
  @Size(max = 32, message="租户id-tenantId: 数据长度不能 > 32" )
  private String tenantId;
  /**
   * 到期时间<br>
   */
  @ApiModelProperty("到期时间")
  @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
  private Date expiredTime;
  /**
   * 回收方式(1-自动回收 2-手动回收)<br>
   */
  @ApiModelProperty("回收方式(1-自动回收 2-手动回收)")
  @Size(max = 1, message="回收方式(1-自动回收 2-手动回收)-recycleType: 数据长度不能 > 1" )
  private String recycleType;

  /**
   * 主键id(device_id)<br>
   */
  public String getId()
  {
      return id;
    }

  /**
   * 主键id(device_id)<br>
   *
   * @param id 主键id(device_id)
   */
  public void setId(String id)
  {
      this.id = id;
    }
  /**
   * 租户id<br>
   */
  public String getTenantId()
  {
      return tenantId;
    }

  /**
   * 租户id<br>
   *
   * @param tenantId 租户id
   */
  public void setTenantId(String tenantId)
  {
      this.tenantId = tenantId;
    }
  /**
   * 到期时间<br>
   */
  public Date getExpiredTime()
  {
      if(expiredTime != null)
    {
      return (Date)expiredTime.clone();
    }
    return null;
    }

  /**
   * 到期时间<br>
   *
   * @param expiredTime 到期时间
   */
  public void setExpiredTime(Date expiredTime)
  {
      if(expiredTime != null)
    {
      this.expiredTime = (Date)expiredTime.clone();
    }
    }
  /**
   * 回收方式(1-自动回收 2-手动回收)<br>
   */
  public String getRecycleType()
  {
      return recycleType;
    }

  /**
   * 回收方式(1-自动回收 2-手动回收)<br>
   *
   * @param recycleType 回收方式(1-自动回收 2-手动回收)
   */
  public void setRecycleType(String recycleType)
  {
      this.recycleType = recycleType;
    }

  public CdDeviceTenant()
  {
  }

}
